SDL_Vertex Struct Reference

`#include <SDL_render.h>`

Collaboration diagram for SDL_Vertex:
[legend]

## Data Fields

SDL_FPoint | position
SDL_FColor | color
SDL_FPoint | tex_coord

## Detailed Description

Vertex structure.

Since
  This struct is available since SDL 3.2.0.

Definition at line 81 of file SDL_render.h.

## Field Documentation

## color

SDL_FColor SDL_Vertex::color

Vertex color

Definition at line 84 of file SDL_render.h.

## position

SDL_FPoint SDL_Vertex::position

Vertex position, in SDL_Renderer coordinates

Definition at line 83 of file SDL_render.h.

## tex_coord

SDL_FPoint SDL_Vertex::tex_coord

Normalized texture coordinates, if needed

Definition at line 85 of file SDL_render.h.

The documentation for this struct was generated from the following file:

- SDL_render.h